无法更新!!!!内核无法更新显示要做符号备份?

系统安装、升级讨论
回复
gege11123
帖子: 47
注册时间: 2008-11-20 16:58
送出感谢: 0
接收感谢: 0

无法更新!!!!内核无法更新显示要做符号备份?

#1

帖子 gege11123 » 2008-12-08 18:43

显示:
E: /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_amd64.deb: 无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-19-generic”做一个符号链接备份
kingzhao
帖子: 80
注册时间: 2008-10-09 19:41
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#2

帖子 kingzhao » 2008-12-08 22:45

去./boot看有什么,全删了,用命令
gege11123
帖子: 47
注册时间: 2008-11-20 16:58
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#3

帖子 gege11123 » 2008-12-09 8:31

删除不掉显示有写保护, Permission denied
gege11123
帖子: 47
注册时间: 2008-11-20 16:58
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#4

帖子 gege11123 » 2008-12-09 8:51

去./boot看有什么,全删了,用命令

你害死我了,我用XP系统进去把 /boot 下的东西全删了,现在都进不去UBUNTU系统了,怎么办啊?
kingzhao
帖子: 80
注册时间: 2008-10-09 19:41
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#5

帖子 kingzhao » 2008-12-09 20:22

sorry, :em06 。十分sorry。有个东西不能删的好像,grub文件夹和一个别的,留个邮箱,我发给你阿!!
kingzhao
帖子: 80
注册时间: 2008-10-09 19:41
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#6

帖子 kingzhao » 2008-12-09 21:00

想起来了,xp你放回收站了,还是shift了?回收站的话,还原删除的东西,进ubuntu系统
sudo rm -fv /boot/initrd.img-2.6.24*.bak
sudo rm -fv /boot/vmlinuz-2.6.24-19-generic
sudo rm -fv /boot/initrd.img-2.6.24-19-generic
sudo rm -fv /boot/config-2.6.24-19-generic
sudo rm -fv /boot/abi-2.6.24-19-generic
sudo rm -fv /boot/System.map-2.6.24-19-generic,可以解决你原来的问题。

shift了,那就发帖找跟你内核一样的人复制一套/boot,光传你grub文件夹好像没用的。其实“去./boot看有什么,全删了,用命令”,我告诉你用命令删除了啊。
我也是菜鸟,别恨我啊
gege11123
帖子: 47
注册时间: 2008-11-20 16:58
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#7

帖子 gege11123 » 2008-12-16 18:16

算了吧,费事哩很,我已经用GHOST版重装了一个啦,10分钟搞定。
gege11123
帖子: 47
注册时间: 2008-11-20 16:58
送出感谢: 0
接收感谢: 0

Re: 无法更新!!!!内核无法更新显示要做符号备份?

#8

帖子 gege11123 » 2008-12-16 18:16

算了吧,费事哩很,我已经用GHOST版重装了一个啦,10分钟搞定。
回复

回到 “系统安装和升级”